My Project: dht::crypto::secure_vector< T > Class Template Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
dht::crypto::secure_vector< T > Class Template Reference

## Public Member Functions
| secure_vector (secure_vector< T > const &)=default
| secure_vector (secure_vector< T > &&)=default
| secure_vector (unsigned size)
| secure_vector (unsigned size, T _item)
| secure_vector (const std::vector< T > &c)
| secure_vector (std::vector< T > &&c)
secure_vector< T > & | operator= (const secure_vector< T > &c)
secure_vector< T > & | operator= (secure_vector< T > &&c)
secure_vector< T > & | operator= (std::vector< T > &&c)
std::vector< T > & | writable ()
const std::vector< T > & | makeInsecure () const
const uint8_t * | data () const
void | clean ()
void | clear ()
size_t | size () const
bool | empty () const
void | swap (secure_vector< T > &other)
void | resize (size_t s)

## Static Public Member Functions
static secure_vector< T > | getRandom (size_t size)

## Detailed Description

template<class T>
class dht::crypto::secure_vector< T >

Definition at line 12 of file secure_vector.h.

## Constructor & Destructor Documentation

## ◆ secure_vector() [1/5]

template<class T>

dht::crypto::secure_vector< T >::secure_vector | ( |  | ) |
| inline

Definition at line 15 of file secure_vector.h.

## ◆ secure_vector() [2/5]

template<class T>

dht::crypto::secure_vector< T >::secure_vector | ( | unsigned | size | ) |
| inlineexplicit

Definition at line 18 of file secure_vector.h.

## ◆ secure_vector() [3/5]

template<class T>

dht::crypto::secure_vector< T >::secure_vector | ( | unsigned | size,
|  | T | _item )
| inlineexplicit

Definition at line 21 of file secure_vector.h.

## ◆ secure_vector() [4/5]

template<class T>

dht::crypto::secure_vector< T >::secure_vector | ( | const std::vector< T > & | c | ) |
| inlineexplicit

Definition at line 24 of file secure_vector.h.

## ◆ secure_vector() [5/5]

template<class T>

dht::crypto::secure_vector< T >::secure_vector | ( | std::vector< T > && | c | ) |
| inline

Definition at line 27 of file secure_vector.h.

## ◆ ~secure_vector()

template<class T>

dht::crypto::secure_vector< T >::~secure_vector | ( |  | ) |
| inline

Definition at line 30 of file secure_vector.h.

## Member Function Documentation

## ◆ clean()

template<class T>

void dht::crypto::secure_vector< T >::clean | ( |  | ) |
| inline

Definition at line 74 of file secure_vector.h.

## ◆ clear()

template<class T>

void dht::crypto::secure_vector< T >::clear | ( |  | ) |
| inline

Definition at line 76 of file secure_vector.h.

## ◆ data()

template<class T>

const uint8_t * dht::crypto::secure_vector< T >::data | ( |  | ) | const
| inline

Definition at line 72 of file secure_vector.h.

## ◆ empty()

template<class T>

bool dht::crypto::secure_vector< T >::empty | ( |  | ) | const
| inline

Definition at line 83 of file secure_vector.h.

## ◆ getRandom()

template<class T>

secure_vector< T > dht::crypto::secure_vector< T >::getRandom | ( | size_t | size | ) |
| inlinestatic

Definition at line 32 of file secure_vector.h.

## ◆ makeInsecure()

template<class T>

const std::vector< T > & dht::crypto::secure_vector< T >::makeInsecure | ( |  | ) | const
| inline

Definition at line 71 of file secure_vector.h.

## ◆ operator=() [1/3]

template<class T>

secure_vector< T > & dht::crypto::secure_vector< T >::operator= | ( | const secure_vector< T > & | c | ) |
| inline

Definition at line 44 of file secure_vector.h.

## ◆ operator=() [2/3]

template<class T>

secure_vector< T > & dht::crypto::secure_vector< T >::operator= | ( | secure_vector< T > && | c | ) |
| inline

Definition at line 52 of file secure_vector.h.

## ◆ operator=() [3/3]

template<class T>

secure_vector< T > & dht::crypto::secure_vector< T >::operator= | ( | std::vector< T > && | c | ) |
| inline

Definition at line 60 of file secure_vector.h.

## ◆ resize()

template<class T>

void dht::crypto::secure_vector< T >::resize | ( | size_t | s | ) |
| inline

Definition at line 86 of file secure_vector.h.

## ◆ size()

template<class T>

size_t dht::crypto::secure_vector< T >::size | ( |  | ) | const
| inline

Definition at line 82 of file secure_vector.h.

## ◆ swap()

template<class T>

void dht::crypto::secure_vector< T >::swap | ( | secure_vector< T > & | other | ) |
| inline

Definition at line 85 of file secure_vector.h.

## ◆ writable()

template<class T>

std::vector< T > & dht::crypto::secure_vector< T >::writable | ( |  | ) |
| inline

Definition at line 66 of file secure_vector.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/crypto/secure_vector.h